Submit Tax Form
curl --request POST \
--url https://api.cadanapay.com/v1/users/{userId}/tax-forms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileId": "517075a2-17db-469f-9481-eb8347cb920c",
"type": "W9",
"w9": {
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@email.com",
"entityType": "Individual",
"taxIdType": "SSN",
"taxIdNumber": "123456789",
"address": {
"line1": "House 1",
"city": "New York City",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
}
}
}
'import requests
url = "https://api.cadanapay.com/v1/users/{userId}/tax-forms"
payload = {
"fileId": "517075a2-17db-469f-9481-eb8347cb920c",
"type": "W9",
"w9": {
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@email.com",
"entityType": "Individual",
"taxIdType": "SSN",
"taxIdNumber": "123456789",
"address": {
"line1": "House 1",
"city": "New York City",
"state": "NY",
"postalCode": "10001",
"countryCode": "US"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fileId: '517075a2-17db-469f-9481-eb8347cb920c',
type: 'W9',
w9: {
firstName: 'John',
lastName: 'Doe',
email: 'john.doe@email.com',
entityType: 'Individual',
taxIdType: 'SSN',
taxIdNumber: '123456789',
address: {
line1: 'House 1',
city: 'New York City',
state: 'NY',
postalCode: '10001',
countryCode: 'US'
}
}
})
};
fetch('https://api.cadanapay.com/v1/users/{userId}/tax-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ca51f42c-0adc-4a77-8dd1-a03dd4fb955f"
}{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}{
"code": "internal_error",
"message": "An unexpected error occurred. Please try again later."
}Users
Submit Tax Form
Submit a completed W9, W8BEN or W8BENE tax form. Provide a fileId for the signed document (from the files API) and the raw field data.
POST
/
v1
/
users
/
{userId}
/
tax-forms
Submit Tax Form
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required when using a Platform API token. The tenant key identifying which business to operate on.
Path Parameters
The unique identifier for the user
Body
application/json
Provide fileId, type, and exactly one form object (w9, w8ben or w8bene) matching type.
Response
upload tax form response
Example:
"8ef9a712-cdae-4110-b1ea-9ba95abbee6e"
⌘I